CVE-2021-21686

Name
CVE-2021-21686
Description
File path filters in the agent-to-controller security subsystem of Jenkins 2.318 and earlier, LTS 2.303.2 and earlier do not canonicalize paths, allowing operations to follow symbolic links to outside allowed directories.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
CONFIRM https://www.jenkins.io/security/advisory/2021-11-04/#SECURITY-2455

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:jenkins:jenkins:*:*:*:*:lts:*:*:* jenkins >= None < 2.303.3
cpe:2.3:a:jenkins:jenkins:*:*:*:*:-:*:*:* jenkins >= None < 2.319

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
jenkins edge-community 2.307-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins 3.14-community 2.297-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable